services:
  Chill\PersonBundle\EventListener\PersonEventListener:
    autoconfigure: true
    tags:
      -
        name: 'doctrine.orm.entity_listener'
        event: 'prePersist'
        entity: 'Chill\PersonBundle\Entity\Person'
        method: 'prePersistPerson'
      -
        name: 'doctrine.orm.entity_listener'
        event: 'prePersist'
        entity: 'Chill\PersonBundle\Entity\PersonAltName'
        method: 'prePersistAltName'

  Chill\PersonBundle\EventListener\AccompanyingPeriodWorkEventListener:
    autoconfigure: true
    autowire: true
    tags:
      -
        name: 'doctrine.orm.entity_listener'
        event: 'prePersist'
        entity: 'Chill\PersonBundle\Entity\AccompanyingPeriod\AccompanyingPeriodWork'
        method: 'prePersistAccompanyingPeriodWork'